/* $Id: crires_combine.h,v 1.16 2012-09-05 14:14:17 yjung Exp $
 *
 * This file is part of the CRIRES Pipeline
 * Copyright (C) 2002,2003 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * $Author: yjung $
 * $Date: 2012-09-05 14:14:17 $
 * $Revision: 1.16 $
 * $Name: not supported by cvs2svn $
 */

#ifndef CRIRES_COMBINE_H
#define CRIRES_COMBINE_H

/*-----------------------------------------------------------------------------
                                Include
 -----------------------------------------------------------------------------*/

#include "crires_utils.h"

/*-----------------------------------------------------------------------------
                                New type
 -----------------------------------------------------------------------------*/

typedef enum {
    CRIRES_COMB_METHOD_NODA,
    CRIRES_COMB_METHOD_NODB,
    CRIRES_COMB_METHOD_COMB
} crires_comb_method ;

typedef enum {
    CRIRES_COLLAPSE_AVG,
    CRIRES_COLLAPSE_MED,
    CRIRES_COLLAPSE_SIG
} crires_collapse_method ;

/*-----------------------------------------------------------------------------
                                Functions prototypes
 -----------------------------------------------------------------------------*/

cpl_imagelist ** crires_combine_imagelist(const cpl_frameset *, 
        const cpl_frameset *, crires_illum_period, const char *, const char *, 
        const char *, const char *, int, int, int, int, int) ;
cpl_imagelist ** crires_combine_imagelist_win(const cpl_frameset *, 
        const char *, const char *, const char *, const char *, int, int, int) ;
int crires_calib_chip_list(cpl_imagelist *, crires_illum_period, int, 
        const char *, const char *, const char *, const char *, double, int,
        int, int) ;
cpl_image * crires_combine_collapse_imagelist(const cpl_imagelist *,
        const cpl_vector *, double, int, crires_collapse_method) ;

#endif
