/* $Id: crires_load.h,v 1.17 2012-09-06 08:15:39 yjung Exp $
 *
 * This file is part of the CRIRES Pipeline
 * Copyright (C) 2002,2003 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * $Author: yjung $
 * $Date: 2012-09-06 08:15:39 $
 * $Revision: 1.17 $
 * $Name: not supported by cvs2svn $
 */

#ifndef CRIRES_LOAD_H
#define CRIRES_LOAD_H

/*-----------------------------------------------------------------------------
                                Include
 -----------------------------------------------------------------------------*/

#include <stdarg.h>

#include "crires_utils.h"

/*-----------------------------------------------------------------------------
                                Functions prototypes
 -----------------------------------------------------------------------------*/

double crires_get_totndit(const char *) ;
cpl_imagelist * crires_load_frameset(const cpl_frameset *, 
        crires_illum_period, int, cpl_type) ;
cpl_image * crires_load_chip(const char *, crires_illum_period, int, cpl_type) ;
cpl_image * crires_load_chip_plane(const char *, crires_illum_period, int, int, 
        cpl_type) ;
cpl_imagelist * crires_load_file(const char *, crires_illum_period, cpl_type) ;
cpl_table * crires_load_table_check(const char *, int, const char *,
        int, int, int) ; 
cpl_frameset * crires_extract_frameset(const cpl_frameset *, const char *) ;
const char * crires_extract_filename(const cpl_frameset *, const char *) ;
int crires_image_save(cpl_frameset *, const cpl_parameterlist *,
        const cpl_frameset *, const cpl_imagelist *, const char *, const char *,
        const char *, crires_illum_period, const cpl_propertylist *, 
        const cpl_propertylist **, const char *, const char *) ;
int crires_table_save(cpl_frameset *, const cpl_parameterlist *, 
        const cpl_frameset *, const cpl_table **, const char *, const char *, 
        const char *, const cpl_propertylist *, const cpl_propertylist **, 
        const char *, const char *) ;
cpl_image * crires_imlist_to_image(const cpl_imagelist *) ; 
cpl_image * crires_load_chip_plane_stripes(const char *, int, int, cpl_type,
        int, int, int) ;
#endif
