/* sa.h	  	Prototypes for Simulated Annealing library */

/* rcsid: @(#)sa.h	1.2 15:54:42 3/30/93   EFC   */

#ifndef SA_PACKAGE_H_
#define SA_PACKAGE_H_ 1.2

#include "crires_model_kernel.h" 

typedef float (*CostFunction)(double*); 
 

/* the value that causes the "set/query" functions to just query */
#define NO_VALUE	-1
#define NO_VALUE_INT   -1
#define NO_VALUE_FLOAT -1.0

int SAInit(CostFunction f, int d);
void SAfree(void);
int SAiterations(int it);
int SAdwell(int d);
float SABoltzmann(float k);
float SAlearning_rate(float r);
float SAtemperature(float t);
float SAjump(float j);
float SArange(float r);
void SAinitial(double* xi);
void SAcurrent(double* xc);
void SAoptimum(double* xb);
float SAmelt(int iters);
float SAanneal(int iters);

#endif


